Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000034 [libFirm] API minor always 2009-01-23 18:18 2009-01-28 21:55
Reporter moritz View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000034: Creating new opcodes fails, if be_node_init() has not been called, yet
Description Creating new opcodes with new_ir_op(get_next_ir_opcode(), ...) fails with the assertion "new_ir_op() called in wrong order", if be_node_init() has not been called, yet, to create the reserved backend opcodes.
Either get_next_ir_opcode() should call be_node_init(), if it has not happened yet, or the handling of the reserved backend opcodes should be changed, or at least the assertion should be a bit more helpful.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000050)
Matze (administrator)
2009-01-27 11:20

I changed the code to initialize the backend opcodes right after the frontend ones. Can you test wether this fixes the issue?
(0000051)
moritz (manager)
2009-01-28 00:00

Yes, it works, thanks! (Strange, I'm not getting any emails from the bug tracker...)

- Issue History
Date Modified Username Field Change
2009-01-23 18:18 moritz New Issue
2009-01-27 11:20 Matze Note Added: 0000050
2009-01-27 11:20 Matze Assigned To => Matze
2009-01-27 11:20 Matze Status new => assigned
2009-01-28 00:00 moritz Note Added: 0000051
2009-01-28 10:12 Matze Status assigned => resolved
2009-01-28 10:12 Matze Resolution open => fixed
2009-01-28 21:55 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker